summaryrefslogtreecommitdiffstats
path: root/coverity-scan.sh
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2022-03-14 10:44:30 -0400
committerGitHub <noreply@github.com>2022-03-14 10:44:30 -0400
commit19aff5623c664be1999543c06655013a1fa67716 (patch)
treeed2ec6b3763d5c9becd6b62f76017fb1d635d4d3 /coverity-scan.sh
parent3e20d9f9217a153affd0450c72543c19ba67bf18 (diff)
Bump the version of Coverity we are using to the latest. (#12398)
Also, report when we actually managed to download something, but the name did not match what was expected.
Diffstat (limited to 'coverity-scan.sh')
-rwxr-xr-xcoverity-scan.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/coverity-scan.sh b/coverity-scan.sh
index 047d882cd2..24cd193499 100755
--- a/coverity-scan.sh
+++ b/coverity-scan.sh
@@ -21,7 +21,7 @@
# COVERITY_SCAN_TOKEN="TOKEN taken from Coverity site"
#
# the absolute path of the cov-build - optional
-# COVERITY_BUILD_PATH="/opt/cov-analysis-linux64-2019.03/bin/cov-build"
+# COVERITY_BUILD_PATH="/opt/cov-analysis-linux64-2021.12/bin/cov-build"
#
# when set, the script will print on screen the curl command that submits the build to coverity
# this includes the token, so the default is not to print it.
@@ -40,7 +40,7 @@ set -e
INSTALL_DIR="/opt"
# the version of coverity to use
-COVERITY_BUILD_VERSION="${COVERITY_BUILD_VERSION:-cov-analysis-linux64-2020.09}"
+COVERITY_BUILD_VERSION="${COVERITY_BUILD_VERSION:-cov-analysis-linux64-2021.12}"
# TODO: For some reasons this does not fully load on Debian 10 (Haven't checked if it happens on other distros yet), it breaks
source packaging/installer/functions.sh || echo "Failed to fully load the functions library"
@@ -147,6 +147,8 @@ installit() {
run sudo tar -z -x -f "${TMP_DIR}/${COVERITY_BUILD_VERSION}.tar.gz" || exit 1
rm "${TMP_DIR}/${COVERITY_BUILD_VERSION}.tar.gz"
export PATH=${PATH}:${INSTALL_DIR}/${COVERITY_BUILD_VERSION}/bin/
+ elif find . -name "*.tar.gz" > /dev/null 2>&1; then
+ fatal "Downloaded coverity tool tarball does not appear to be the version we were expecting, exiting."
else
fatal "Failed to download coverity tool tarball!"
fi